
StocksAndFisheriesKB - Bug #13289

biological stock being recognized as a marine resource

Feb 06, 2019 12:31 PM - Marina Mendes

Status: Rejected Start date: Feb 06, 2019

Priority: Normal Due date:  

Assignee: Aureliano Gentile % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Hi Merul 

The record 

https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/15967106-760d-3bf8-961e-504f6250547f is

recognized as a marine resource in iMarine but in Fishsource it is considered as a biological stock 

https://www.fishsource.org/stock_page/2026.

Could you please check if it is properly being sent as a stock?

If there is no issue from there, please assign to Yannis.

Thanks

MArina

Related issues:

Related to StocksAndFisheriesKB - Bug #13334: FS type of record harvesting logic Closed Feb 14, 2019

History

#1 - Feb 11, 2019 12:22 PM - Merul Patel

- Assignee changed from Merul Patel to Yannis Marketakis

FishSource returns this stock as a Stock. Yannis please could you look into this. Extract from API below:

{

"id": 2026,

"name": "Southern blue whiting - SW Atlantic",

"type": "Stock",

"children": [],

"species":

{

"fao_name": "Southern blue whiting",

"order": "Gadiformes",

"family": "Gadidae",

"genus": "Micromesistius",

"specific_descriptor": "australis",

"code_3a": "POS"

},

"fishing_areas": [

{

"name": "FAO 41.2.3",

"type": "FAO"

},

{

"name": "FAO 41.3.1",

"type": "FAO"

},

{

"name": "FAO 41.3.2",

"type": "FAO"

}],

"exploiting_fisheries": [4735, 4736],

"management_units": [

{

"id": 2432,

"name": "Argentina",

"organizations": [
{

"id": 3296,

"name": "Consejo Federal Pesquero",

"acronym": "CFP",

"country": "ARG"

}]

},

{

"id": 2433,

"name": "Falkland Islands (Malvinas)",

"organizations": [

{

"id": 5625,

"name": "Falkland Islands Fisheries Department",

"acronym": "FIFD",

"country": null

}]

}],

"state_of_marine_resource": [

{

"text": "An initial recovery in biomass was noted in the most recent stock assessment (2010) but the spawning stock is estimated to be around 30% of

the virgin biomass, below the limit reference point. A reduction in catch per unit effort (CPUE) and fishing mortality were also observed (Giussi &

Wöhler, 2010a).TrendsLast updated on 02 Dec 2011 Past trends in spawning biomass show a steep decrease from a level of over one million tonnes

in the early 1990s to just over 400,000 tonnes in 2004, followed by a more gradual decrease which reached a minimum of 360,000 tonnes in 2006.

Catch rates have been steadily decreasing since 1990, but fishing mortality and exploitation rates have remained quite stable over the years, only

recently indicating a slight decrease (Giussi & Wöhler, 2010a).",

"latest_citation_date": null,

"stock_or_assessment_unit_id": "2026"

}],

"scientific_advice": [

{

"text": "Long-term projections under different management scenarios carried out by INIDEP scientists resulted in Argentinean catch options for 2010

ranging from 24,000 to 61,000 tonnes. The advised catch limit of 35,900 tonnes aimed to potentiate the recovery in abundance that appeared to have

initiated in the preceding years. This catch strategy was expected to maintain the spawning biomass observed in 2009 and also maintain recent catch

levels (Giussi & Wöhler, 2010a).\nThe South Atlantic Fisheries Commission previously provided advice on the stock. At present, the Falklands

Fisheries Department has advised that the spawning season closure be maintained (Falkland Islands Government, 2011).Reference PointsLast

updated on 02 Dec 2011 A limit reference point of 500,000 tonnes for spawning biomass was defined in the most recent assessment, based on the

level needed to produce recruitment above recent averages (Giussi & Wöhler, 2010a). This was previously estimated as 600,000 tonnes (Giussi et

al., 2007). No management reference points are known.",

"latest_citation_date": null,

"stock_or_assessment_unit_id": "2026"

}],

"data_owners": [

{

"id": 3297,

"name": "National Fishery Research and Development Institute (Argentina)",

"country": "ARG"

}],

"datafile":

{

"id": 2849,

"link": "

https://s3.amazonaws.com/fs4.fishsource.org/uploads/data_file/file/2849/Southern_blue_whiting-SW_Atlantic_Fev2012_20180719040743.xlsm",

"date": "2016-11-08"

},

"source_of_information": "https://www.fishsource.org/stock_page/2026",

"map_infos": ["https://s3.amazonaws.com/fs4.fishsource.org/uploads/map/kml_path/407/Southern_blue_whiting_-_SW_Atlantic.kml"]

}

#2 - Feb 12, 2019 12:50 PM - Susana Segurado

Same for http://data.d4science.org/ctlg/GRSF_Admin/acf5f25a-29d0-3d47-a69b-f624eba5de77

and http://data.d4science.org/ctlg/GRSF_Admin/ef6a4353-b7aa-32d0-902e-e37f2f66bdf2

#3 - Feb 12, 2019 01:57 PM - Yannis Marketakis

- Status changed from New to In Progress

The type of a stock record is assigned after they are harvested and transformed. Whenever a stock assessment is conducted then, the record is

identified as an assessment unit.

Under this light, I see that there are many stock records that should be assessment units in GRSF_Admin VRE. I will update them accordingly. 
#4 - Feb 13, 2019 04:21 PM - Yannis Marketakis

- File updated_GRSF_stock_URLs.txt added

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Changed the type of 130 records to Assessment Unit.

The URLs of the records that have been updated is attached.

#5 - Feb 14, 2019 12:44 PM - Susana Segurado

- Status changed from Closed to Feedback

- Assignee changed from Yannis Marketakis to Aureliano Gentile

We have found another record that is an assessment unit in FishSource but a marine resource in GRSF: 

http://data.d4science.org/ctlg/GRSF_Admin/0dcd3d3d-bfa0-32b1-9372-88082d721b54

Aureliano, can you please clarify if it is a similar issue as above, or if this case is different because there are two sources (FIRMS and FishSource)?

Also, we are not understanding why there is no suggested merge between the FIRMS and FS records, but instead they are both identified as

sources?

#6 - Feb 14, 2019 12:51 PM - Susana Segurado

One more that should be an assessment unit (this time source is just FishSource): 

http://data.d4science.org/ctlg/GRSF_Admin/04487abe-6b38-3075-939c-b77065381ee7

#7 - Feb 27, 2019 11:52 AM - Marina Mendes

- Related to Bug #13334: FS type of record harvesting logic added

#8 - Mar 14, 2019 04:53 PM - Marina Mendes

another example of an AU/stock in FS: https://www.fishsource.org/stock_page/2053 being recognized as a marine resource in GRSF: 

http://data.d4science.org/ctlg/GRSF_Admin/2263edca-acb4-3fa3-9e03-cee76063cdb8

#9 - Mar 19, 2019 11:27 AM - Merul Patel

- Assignee changed from Aureliano Gentile to Yannis Marketakis

WRT comment 8, the API is definitely returning the root record as an 'AssessmentUnit':

{

"id": 2053,

"name": "South American pilchard - Northern-Central Pacific",

"type": "AssessmentUnit",

"children": [],

"species": {

"fao_name": "South American pilchard",

"order": "Clupeiformes",

"family": "Clupeidae",

"genus": "Sardinops",

"specific_descriptor": "sagax",

"code_3a": "CHP"

},

"fishing_areas": [

{

"name": "FAO 87.1.12",

"type": "FAO"

},

{

"name": "FAO 87.1.13",

"type": "FAO"

},

{

"name": "FAO 87.1.14",

"type": "FAO"

},

{

"name": "FAO 87.1.15",

"type": "FAO"

},
{

"name": "FAO 87.1.22",

"type": "FAO"

},

{

"name": "FAO 87.1.23",

"type": "FAO"

},

{

"name": "FAO 87.1.24",

"type": "FAO"

},

{

"name": "FAO 87.1.25",

"type": "FAO"

}

],

"exploiting_fisheries": [

4790,

4791

],

"management_units": [

{

"id": 2463,

"name": "Ecuador",

"organizations": [

{

"id": 2487,

"name": "National Fisheries Institute of Ecuador",

"acronym": "INP",

"country": "ECU"

}

]

},

{

"id": 2464,

"name": "Peru",

"organizations": [

{

"id": 2486,

"name": "Marine Institute of Peru",

"acronym": "IMARPE",

"country": "PER"

}

]

}

],

"state_of_marine_resource": [

{

"text": "TrendsLast updated on 21 Nov 2016 Catches for Sardinops sagax started to be reported to FAO in 1961 (2 700 t by Peru) but up to 1973 they

did not exceeded 100 000 t. Starting that year, there was a fast increase of the catches, which reached a peak of 6 509 301 t in 1985, in

correspondence of the dramatic decrease of catches of the Peruvian anchovy due to El Niño phenomenon. Since 1985, the total catch is strongly

decreased totalizing 1 503 131 t in 1995, mostly from Peru. Caught with purse seines ("small pelagic purse seining"). The total catch reported for this

species to FAO for 1999 was 442 690 t. The countries with the largest catches were Chile (246 045 t) and Peru (187 824 t).",

"latest_citation_date": null,

"stock_or_assessment_unit_id": "2053"

}

],

"scientific_advice": [

{

"text": "No quotas are set in this fishery but authorities has set a minimum landing size and fleet capacity is controlled.Reference PointsLast updated

on 21 Nov 2016 Reference points (e.g. Blrp, Ftrp) are not yet estimated or available for this fishery.",

"latest_citation_date": null,

"stock_or_assessment_unit_id": "2053"

}

],

"data_owners": [

{

"id": null,

"name": null,

"country": null

}

],

"datafile": null,

"source_of_information": "https://www.fishsource.org/stock_page/2053",
"map_infos": [

"

https://s3.amazonaws.com/fs4.fishsource.org/uploads/map/kml_path/703/American_pilchard_-_Pacific_South_America__Northern-Central_stock_.km

l"

]

},

#10 - Mar 19, 2019 04:43 PM - Marina Mendes

of the examples we have shared above, all are currently identified correctly as assessment units in bluebridge, except the following, which are still as

marine resources but available as Stocks in API

http://data.d4science.org/ctlg/GRSF_Admin/0dcd3d3d-bfa0-32b1-9372-88082d721b54

"id": 850,

"name": "Patagonian toothfish - South Georgia",

"type": "Stock",

"children": [],

"species": {

"fao_name": "Patagonian toothfish",

"order": "Percoidei",

"family": "Nototheniidae",

"genus": "dissostichus",

"specific_descriptor": "eleginoides",

"code_3a": "TOP"

http://data.d4science.org/ctlg/GRSF_Admin/04487abe-6b38-3075-939c-b77065381ee7

"id": 841,

"name": "Patagonian toothfish - Macquarie Island",

"type": "Stock",

"children": [],

"species": {

"fao_name": "Patagonian toothfish",

"order": "Percoidei",

"family": "Nototheniidae",

"genus": "dissostichus",

"specific_descriptor": "eleginoides",

"code_3a": "TOP"

#11 - Mar 20, 2019 10:38 AM - Yannis Marketakis

According to the GRSF rules the type of the stock is "Assessment unit", whenever a stock assessment is conducted and "Marine Resource", when

there is no stock assessment available.

Perhaps @aureliano.gentile@fao.org  can elaborate on this.

Under this light, I see that only http://data.d4science.org/ctlg/GRSF_Admin/0dcd3d3d-bfa0-32b1-9372-88082d721b54 should be changed to

Assessment Unit. 

#12 - Mar 20, 2019 12:41 PM - Marina Mendes

- Assignee changed from Yannis Marketakis to Aureliano Gentile

Thank you, Yannis.

Both examples shown in note #10 above are Stocks/AssessmentUnits in FishSource, therefore should not be ManagamentUnits in GRSF.

Assigning the ticket to Aureliano.

Marina

#13 - Mar 23, 2019 09:41 AM - Aureliano Gentile

Thanks. The practical rule mentioned by Yannis "the type of the stock is "Assessment unit", whenever a stock assessment is conducted and "Marine

Resource", when there is no stock assessment available" was made in absence of other indications from the sources. FishSource is today indicating

in its service if it is assessment unit or stock (marine resource) (e.g. "type": "AssessmentUnit"), hence you can refer only to that information and

assign the GRSF type accordingly. 

#14 - Mar 26, 2019 10:01 AM - Yannis Marketakis

Aureliano Gentile wrote:

Thanks. The practical rule mentioned by Yannis "the type of the stock is "Assessment unit", whenever a stock assessment is conducted and

"Marine Resource", when there is no stock assessment available" was made in absence of other indications from the sources. FishSource is

today indicating in its service if it is assessment unit or stock (marine resource) (e.g. "type": "AssessmentUnit"), hence you can refer only to that

information and assign the GRSF type accordingly.
 The issue here is that because of the rule we had (mentioned above) we ignored the relevant information coming from the sources themselves and

defined the type based on the rule after fetching/transforming/ingesting data.

For this reason, if we want to apply a new rule then we have to re-transform and re-ingest records from Fishource (and apparently GRSF ones).

What I see is feasible for the time being is to update the type of particular records (like the ones mentioned in the issue) instead of updating all of

them.

#15 - Mar 26, 2019 10:36 AM - Aureliano Gentile

Thanks, I understand the problem of updating, but fixing a few of them randomly does not help much. Maybe @merul.patel@sustainablefish.org can

provide a list of IDs with all assessment units? Please advice.

#16 - Apr 09, 2019 04:47 PM - Merul Patel

- File Query Results.csv added

I've reviewed #13334, and am attaching a CSV file with the key fields from all FishSource StockOrAssessmentUnit records where the type is

'AssessmentUnit'. The parent_id field will indicate whether the AssessmentUnit is nested, but based on the notes in ticket #13334, this is not actually

relevant.

I hope this is what you wanted, but if not, please advise.

#17 - Apr 11, 2019 10:33 AM - Yannis Marketakis

- File Query Results- with GRSF information.xls added

- Status changed from Feedback to In Progress

- % Done changed from 100 to 80

Thanks Merul for the list.

Attached you will find the list updated with information from the GRSF KB. More specifically, you will find 2 more columns; one indicating if the records

exists in the GRSF KB and has been published in GRSF, and one indicating the type of the record in GRSF. 

You'll notice that: 

There are some records that do not exist in GRSF. This is normal for records created after March 2018 (This is the last time we harvested from

FishSource and constructed GRSF from scratch). For the rest of them (e.g. with ids 764, 834, etc.) although they seem to be created earlier than

March 2018, they do not exist in the harvesting of that period.

There are 51 records that appear as Marine Resources in GRSF KB. If we all agree (@aureliano.gentile@fao.org let me know what you think)

we can proceed with their update in GRSF KB (i.e. make them assessment units) and update them in GRSF VREs.

#18 - Apr 18, 2019 04:25 PM - Marina Mendes

I know you have already identified the issues technically but my understanding, based in just a small sample, is that Assessment units are correctly

captured as assessment units in GRSF, being only stocks incorrectly identified as Marine Resources.

#19 - Sep 17, 2019 05:06 PM - Susana Segurado

- Status changed from In Progress to Rejected

Superseded by #13334

Files

updated_GRSF_stock_URLs.txt 10.2 KB Feb 13, 2019 Yannis Marketakis

Query Results.csv 36.9 KB Apr 09, 2019 Merul Patel

Query Results- with GRSF information.xls 118 KB Apr 11, 2019 Yannis Marketakis
